Import runs from structured files
/v2/imports/structuredAuthorization
api_key API key for authentication. Use format: Bearer YOUR_API_KEY
In: header
Request Body
application/json
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/imports/structured" \ -H "Content-Type: application/json" \ -d '{ "items": [ { "upload_id": "550e8400-e29b-41d4-a716-446655440000", "importer": "OPENHTF" } ] }'{
"results": [
{
"upload_id": "f2ef591b-135b-46fa-a604-3d4fda5bfbfb",
"success": true,
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"ids": [
"6e0346a3-e54d-40e3-9779-4ba1e707e35b"
],
"already_imported": true,
"warnings": [
"string"
],
"error": "string"
}
]
}{
"message": "Bad request",
"code": "BAD_REQUEST",
"issues": []
}{
"message": "Unauthorized",
"code": "UNAUTHORIZED",
"issues": []
}{
"message": "Not found",
"code": "NOT_FOUND",
"issues": []
}{
"message": "Internal server error",
"code": "INTERNAL_SERVER_ERROR",
"issues": []
}How is this guide?
Who am I GET
The identity the request is authenticated as: the station or the user behind the API key, and its organization.
Import runs from a tabular file POST
Import a previously uploaded tabular file (CSV or Excel) by mapping its columns to TofuPilot fields. See its parameters, response schema, and status codes.